version: "3.9"

networks:
  caddy:
    external: true

services:
  crawler:
    container_name: kycnotme-crawler
    build: ./crawler
    ports:
      - "127.0.0.1:3011:3011"

  pocketbase:
    image: ghcr.io/muchobien/pocketbase:latest
    container_name: kycnotme-pocketbase
    restart: unless-stopped
    # command:
    #   - --encryptionEnv #optional
    #   - ENCRYPTION #optional
    # environment:
    #   ENCRYPTION: jfeofkanwofua923 #optional
    ports:
      - "127.0.0.1:8022:8090"
    volumes:
      - ./pocketbase/data:/pb_data
      - ./pocketbase/public:/pb_public #optional
    networks:
      caddy: {}
      default: {}
    labels:
      caddy: "pocketbase.localhost"
      caddy.reverse_proxy: "{{upstreams 8090}}"
    healthcheck: #optional (recommended) since v0.10.0
      test: wget --no-verbose --tries=1 --spider http://localhost:8090/api/health || exit 1
      interval: 5s
      timeout: 5s
      retries: 5